{% extends 'admin_base/base.html.twig' %}

{% block title %}Menu{% endblock %}

{% block content %}

    <div class="row">
        <div class="col mt-5">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">{{ 'Lista menu'|trans }}</h4>
                    <div class="single-table">
                        <div class="table-responsive">
                            <table class="table text-center">
                                <thead class="text-uppercase bg-primary">
                                <tr class="text-white">
                                    <th scope="col">ID</th>
                                    <th scope="col">{{ 'Tytuł'|trans }}</th>
                                    <th scope="col">{{ 'Placeholder'|trans }}</th>
                                    <th scope="col">{{ 'Akcje'|trans }}</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% if list.getTotalItemCount() > 0 %}
                                    {% for item in list %}
                                        <tr>
                                            <th scope="row">{{ item.id }}</th>
                                            <td>{{ item.title }}</td>
                                            <td>{{ item.placeholder }}</td>
                                            <td>
                                                <a href=""><i class="ti-trash"></i></a>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                {% else %}
                                    <tr>
                                        <td colspan="5" class="text-left">{{ 'Brak wpisów'|trans }}</td>
                                    </tr>
                                {% endif %}
                                </tbody>
                            </table>
                            {{ knp_pagination_render(list) }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


{% endblock %}
